---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
skip_read_time: true
---

# Interface: SpawnOptions

**`Since`**

0.3.0

## Hierarchy

- [`ExecOptions`](ExecOptions.md)

  ↳ **`SpawnOptions`**

## Properties

### cwd

• `Optional` **cwd**: `string`

#### Inherited from

[ExecOptions](ExecOptions.md).[cwd](ExecOptions.md#cwd)

___

### env

• `Optional` **env**: `ProcessEnv`

#### Inherited from

[ExecOptions](ExecOptions.md).[env](ExecOptions.md#env)

___

### stream

• **stream**: [`ExecStreamOptions`](ExecStreamOptions.md)
